program nadovezivanje;
var
a,b,c:int64;
o,n:double;
at,bt,ct:int64;
an,bn,cn:integer;
begin
read(a,b,c);
at:=a;
an:=1;
while at>9 do
begin
an:=an+1;
at:=at Div(10);
end;
bt:=b;
bn:=1;
while bt>9 do
begin
bn:=bn+1;
bt:=bt Div(10);
end;
ct:=c;
cn:=1;
while ct>9 do
begin
cn:=cn+1;
ct:=ct Div(10);
end;
o:=a*exp((bn+cn)*ln(10))+b*exp(cn*ln(10))+c;
n:=a*exp((bn+cn)*ln(10))+c*exp(bn*ln(10))+b;
if n>o then o:=n;
n:=b*exp((an+cn)*ln(10))+a*exp(cn*ln(10))+c;
if n>o then o:=n;
n:=b*exp((an+cn)*ln(10))+c*exp(an*ln(10))+a;
if n>o then o:=n;
n:=c*exp((an+bn)*ln(10))+a*exp(bn*ln(10))+b;
if n>o then o:=n;
n:=c*exp((bn+an)*ln(10))+b*exp(an*ln(10))+a;
if n>o then o:=n;
write(o:0:0);
end.